Skip to content

Create a public resource link

Introduction

This endpoint allows you to create a shareable public link for a feedback post. If a matching link already exists for the same post, the existing link is returned instead of creating a duplicate.

POST https://api.featureos.app/api/v3/feature_requests/:feature_request_id/public_resource_links

Headers

Parameter Default Description
API-KEY-Generate from organization settings on the admin dashboard.

Path Parameters

Parameter Required Format Description
feature_request_idtrueIntegerThe ID of the feedback post to create a public link for.

Sample response

{
"success": true,
"slug_uid": "aBcDeFgHiJkLmNoPqRsT",
"resource_type": "feature_request",
"resource_id": 4230,
"url": "https://feedback.featureos.app/resource/aBcDeFgHiJkLmNoPqRsT"
}